Uploaded image for project: 'PUBLIC - Liferay BLADE'
  1. PUBLIC - Liferay BLADE
  2. BLADE-585

InitCommand fails to parse new BOM versions

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 4.0.0
    • Fix Version/s: 4.0.1
    • Component/s: blade-cli
    • Labels:
      None

      Description

      Blade init tries to parse the new updated BOM versions from product info and now that they have "-1" it is breaking since that is not a standard OSGI version scheme.

      java.lang.IllegalArgumentException: Invalid syntax for version: 7.3.1-1
      	at aQute.bnd.version.Version.<init>(Version.java:52)
      	at com.liferay.blade.cli.command.InitCommand.execute(InitCommand.java:222)
      	at com.liferay.blade.cli.command.ConvertCommand._initBuildGradle(ConvertCommand.java:1153)
      	at com.liferay.blade.cli.command.ConvertCommand._convertToWarProject(ConvertCommand.java:823)
      	at com.liferay.blade.cli.command.ConvertCommand._convertToServiceBuilderWarProject(ConvertCommand.java:639)
      	at com.liferay.blade.cli.command.ConvertCommand.execute(ConvertCommand.java:298)
      	at com.liferay.blade.cli.BladeCLI._runCommand(BladeCLI.java:1307)
      	at com.liferay.blade.cli.BladeCLI.runCommand(BladeCLI.java:658)
      	at com.liferay.blade.cli.BladeCLI.run(BladeCLI.java:498)
      	at com.liferay.blade.cli.BladeCLI.main(BladeCLI.java:133)
      
      

        Attachments

          Issue Links

            Activity

              People

              Assignee:
              gregory.amerson Gregory Amerson
              Reporter:
              gregory.amerson Gregory Amerson
              Participants of an Issue:
              Votes:
              0 Vote for this issue
              Watchers:
              0 Start watching this issue

                Dates

                Created:
                Updated:
                Resolved:

                  Packages

                  Version Package
                  4.0.1